/**
 * 菜单行为样式 
 * <dl>
 * <dt> 系统记录<img src="static/images/chevron-right.png"> </dt>
 * <dd> <a href="#" id="panel">充值记录</a> </dd>
 * <dd> <a href="#">短信充值记录</a> </dd>
 * <dd> <a href="#">消费记录</a> </dd>
 * <dd> <a href="#">操作记录</a> </dd>
 * </dl>
 * 
 */
$(function() {
	//隐藏dd菜单
	$(".leftsidebar_box dd").hide();
	$(".menu-item").removeClass("menu-item-open");
	$(".menu-item").addClass("menu-item-close");
	$(".leftsidebar_box dt").click(function() {
		if($(this).parent().hasClass("menu-item-open")){
			var menuNode = $("dl.menu-item-open dd");
			menuNode.slideUp('slow');
			$(this).parent().removeClass("menu-item-open");
			$(this).parent().addClass("menu-item-close");
			return;
		}
		var oldMenu = $("dl.menu-item-open dd");
		if(oldMenu!=null){
			oldMenu.slideUp('slow');
			oldMenu.parent().addClass("menu-item-close");
			oldMenu.parent().removeClass("menu-item-open");
		}
		var nowMenu = $(this);
		nowMenu.siblings().slideDown("slow");
		nowMenu.parent().removeClass("menu-item-close");
		nowMenu.parent().addClass("menu-item-open");
	});
	
	//设置二级菜单选择图标
	$("div.leftsidebar_box dd").click(function() {
		$(".menu-item-choce").removeClass("menu-item-choce");
		$(this).addClass('menu-item-choce');
	});
	//去掉没有权限的菜单
	$("div.leftsidebar_box > dl").each(function(){
		if($(this).children('dd').size() == 0){
			$(this).remove();		
		}		
	});
	initMenu()
});


function initMenu(){

	var dl=$("div.leftsidebar_box > dl").each(function(){
		
		$(this).find("dd").first().addClass("first_dd");
	});

}